.button-container {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    height: 100vh; 
    width: 100%;
  }
  
button {
    cursor: pointer;
    font-family: 'Roboto Mono', monospace;
    background-color: transparent;
    border-style: groove;
    border-radius: 5px;
    color: #ffffff;
    border-color: #ffffff;
    transition: all 0.2s ease;
  }
  .b:hover {
    color: #1d9bf0;
    box-shadow: 0px 0px 0px 5px #1d9bf0;
  }
  .c:hover {
    color: #4e59e0;
    box-shadow: 0px 0px 0px 5px #4e59e0;
  }
  .d:hover {
    color: #a970ff;
    box-shadow: 0px 0px 0px 5px #a970ff;
  }
  button:active {
    transform: scale(0.96);
  }

/* Small screens (phones) */
@media (max-width: 600px) {
    button {
        font-size: 12px;
        padding: 8px 16px;
        width: 100px;
    }
  }

/* Medium screens (tablets) */
@media (min-width: 601px) and (max-width: 1024px) {
    button {
        font-size: 14px;
        padding: 10px 20px;
        width: 120px;
    }
}


/* Large screens (desktops) */
@media (min-width: 1025px) {
    button {
        font-size: 16px;
        padding: 20px 40px;
        width: 280px;
    }
}